## org.eclipse.datatools.enablement.ingres.models.ingressqlmodel.impl
Class IngresIdentitySpecifierImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
                          org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
                              org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
                                  org.eclipse.datatools.modelbase.sql.schema.impl.IdentitySpecifierImpl
                                      org.eclipse.datatools.enablement.ingres.models.ingressqlmodel.impl.IngresIdentitySpecifierImpl

All Implemented Interfaces:
  IngresIdentitySpecifier, IdentitySpecifier, SQLObject, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

    public class IngresIdentitySpecifierImpl

extends org.eclipse.datatools.modelbase.sql.schema.impl.IdentitySpecifierImpl
implements IngresIdentitySpecifier

An implementation of the model object 'Ingres Identity Specifier'.

The following features are implemented:

- `Data Type`
- `Seq Length`
- `Seq Precision`
- `Maximum Option`
- `Minimum Option`
- `Cache Size`
- `Cache Option`
- `Order Option`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`static java.lang.String` `copyright`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`java.lang.Boolean` `getCacheOption()`
`java.math.BigInteger` `getCacheSize()`
`java.lang.String` `getDataType()`
`java.lang.Boolean` `getMaximumOption()`
`java.lang.Boolean` `getMinimumOption()`
`java.lang.Boolean` `getOrderOption()`
`java.math.BigInteger` `getSeqLength()`
`java.math.BigInteger` `getSeqPrecision()`
`void` `setCacheOption(java.lang.Boolean newCacheOption)`
`void` `setCacheSize(java.math.BigInteger newCacheSize)`
`void` `setDataType(java.lang.String newDataType)`
`void` `setMaximumOption(java.lang.Boolean newMaximumOption)`
`void` `setMinimumOption(java.lang.Boolean newMinimumOption)`
`void` `setOrderOption(java.lang.Boolean newOrderOption)`
`void` `setSeqLength(java.math.BigInteger newSeqLength)`
`void` `setSeqPrecision(java.math.BigInteger newSeqPrecision)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.IdentitySpecifierImpl
`getGenerationType, getIncrement, getMaximum, getMinimum, getStartValue, isCycleOption, setCycleOption, setGenerationType, setIncrement, setMaximum, setMinimum, setStartValue`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, eInverseAdd, eInverseRemove, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eIsProxy, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.IdentitySpecifier
`getGenerationType, getIncrement, getMaximum, getMinimum, getStartValue, isCycleOption, setCycleOption, setGenerationType, setIncrement, setMaximum, setMinimum, setStartValue`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getDataType

    public java.lang.String getDataType()

  Specified by:
    `getDataType` in interface `IngresIdentitySpecifier`
  Returns:
    the value of the 'Data Type' attribute.
  See Also:
    `IngresIdentitySpecifier.setDataType(String)`, `IngressqlmodelPackage.getIngresIdentitySpecifier_DataType()`

### setDataType

    public void setDataType(java.lang.String newDataType)

  Specified by:
    `setDataType` in interface `IngresIdentitySpecifier`
  Parameters:
    `newDataType` - the new value of the 'Data Type' attribute.
  See Also:
    `IngresIdentitySpecifier.getDataType()`

### getSeqLength

    public java.math.BigInteger getSeqLength()

  Specified by:
    `getSeqLength` in interface `IngresIdentitySpecifier`
  Returns:
    the value of the 'Seq Length' attribute.
  See Also:
    `IngresIdentitySpecifier.setSeqLength(BigInteger)`, `IngressqlmodelPackage.getIngresIdentitySpecifier_SeqLength()`

### setSeqLength

    public void setSeqLength(java.math.BigInteger newSeqLength)

  Specified by:
    `setSeqLength` in interface `IngresIdentitySpecifier`
  Parameters:
    `newSeqLength` - the new value of the 'Seq Length' attribute.
  See Also:
    `IngresIdentitySpecifier.getSeqLength()`

### getSeqPrecision

    public java.math.BigInteger getSeqPrecision()

  Specified by:
    `getSeqPrecision` in interface `IngresIdentitySpecifier`
  Returns:
    the value of the 'Seq Precision' attribute.
  See Also:
    `IngresIdentitySpecifier.setSeqPrecision(BigInteger)`, `IngressqlmodelPackage.getIngresIdentitySpecifier_SeqPrecision()`

### setSeqPrecision

    public void setSeqPrecision(java.math.BigInteger newSeqPrecision)

  Specified by:
    `setSeqPrecision` in interface `IngresIdentitySpecifier`
  Parameters:
    `newSeqPrecision` - the new value of the 'Seq Precision' attribute.
  See Also:
    `IngresIdentitySpecifier.getSeqPrecision()`

### getMaximumOption

    public java.lang.Boolean getMaximumOption()

  Specified by:
    `getMaximumOption` in interface `IngresIdentitySpecifier`
  Returns:
    the value of the 'Maximum Option' attribute.
  See Also:
    `IngresIdentitySpecifier.setMaximumOption(Boolean)`, `IngressqlmodelPackage.getIngresIdentitySpecifier_MaximumOption()`

### setMaximumOption

    public void setMaximumOption(java.lang.Boolean newMaximumOption)

  Specified by:
    `setMaximumOption` in interface `IngresIdentitySpecifier`
  Parameters:
    `newMaximumOption` - the new value of the 'Maximum Option' attribute.
  See Also:
    `IngresIdentitySpecifier.getMaximumOption()`

### getMinimumOption

    public java.lang.Boolean getMinimumOption()

  Specified by:
    `getMinimumOption` in interface `IngresIdentitySpecifier`
  Returns:
    the value of the 'Minimum Option' attribute.
  See Also:
    `IngresIdentitySpecifier.setMinimumOption(Boolean)`, `IngressqlmodelPackage.getIngresIdentitySpecifier_MinimumOption()`

### setMinimumOption

    public void setMinimumOption(java.lang.Boolean newMinimumOption)

  Specified by:
    `setMinimumOption` in interface `IngresIdentitySpecifier`
  Parameters:
    `newMinimumOption` - the new value of the 'Minimum Option' attribute.
  See Also:
    `IngresIdentitySpecifier.getMinimumOption()`

### getCacheSize

    public java.math.BigInteger getCacheSize()

  Specified by:
    `getCacheSize` in interface `IngresIdentitySpecifier`
  Returns:
    the value of the 'Cache Size' attribute.
  See Also:
    `IngresIdentitySpecifier.setCacheSize(BigInteger)`, `IngressqlmodelPackage.getIngresIdentitySpecifier_CacheSize()`

### setCacheSize

    public void setCacheSize(java.math.BigInteger newCacheSize)

  Specified by:
    `setCacheSize` in interface `IngresIdentitySpecifier`
  Parameters:
    `newCacheSize` - the new value of the 'Cache Size' attribute.
  See Also:
    `IngresIdentitySpecifier.getCacheSize()`

### getCacheOption

    public java.lang.Boolean getCacheOption()

  Specified by:
    `getCacheOption` in interface `IngresIdentitySpecifier`
  Returns:
    the value of the 'Cache Option' attribute.
  See Also:
    `IngresIdentitySpecifier.setCacheOption(Boolean)`, `IngressqlmodelPackage.getIngresIdentitySpecifier_CacheOption()`

### setCacheOption

    public void setCacheOption(java.lang.Boolean newCacheOption)

  Specified by:
    `setCacheOption` in interface `IngresIdentitySpecifier`
  Parameters:
    `newCacheOption` - the new value of the 'Cache Option' attribute.
  See Also:
    `IngresIdentitySpecifier.getCacheOption()`

### getOrderOption

    public java.lang.Boolean getOrderOption()

  Specified by:
    `getOrderOption` in interface `IngresIdentitySpecifier`
  Returns:
    the value of the 'Order Option' attribute.
  See Also:
    `IngresIdentitySpecifier.setOrderOption(Boolean)`, `IngressqlmodelPackage.getIngresIdentitySpecifier_OrderOption()`

### setOrderOption

    public void setOrderOption(java.lang.Boolean newOrderOption)

  Specified by:
    `setOrderOption` in interface `IngresIdentitySpecifier`
  Parameters:
    `newOrderOption` - the new value of the 'Order Option' attribute.
  See Also:
    `IngresIdentitySpecifier.getOrderOption()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.datatools.modelbase.sql.schema.impl.IdentitySpecifierImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.datatools.modelbase.sql.schema.impl.IdentitySpecifierImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.datatools.modelbase.sql.schema.impl.IdentitySpecifierImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.datatools.modelbase.sql.schema.impl.IdentitySpecifierImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.datatools.modelbase.sql.schema.impl.IdentitySpecifierImpl`